Bug 108896 - [CI][DRMTIP][SKL][KBL][ICL] igt@kms_chamelium@hdmi-crc-* - fail - Failed assertion: (__kms_addfb(fb->fd, fb->gem_handle, fb->width, fb->height, fb->drm_format, fb->tiling, fb->strides, fb->offsets, fb->num_planes, flags, &fb->fb_id)) == 0
Summary: [CI][DRMTIP][SKL][KBL][ICL] igt@kms_chamelium@hdmi-crc-* - fail - Failed asse...
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Maarten Lankhorst
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-29 11:05 UTC by Lakshmi
Modified: 2019-03-18 07:06 UTC (History)
1 user (show)

See Also:
i915 platform: ICL, KBL, SKL
i915 features: display/HDMI


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2018-11-29 11:05:10 UTC
About 32 tests are failed due to the same reason.

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_149/fi-icl-u2/igt@kms_chamelium@hdmi-crc-xrgb1555.html

tarting subtest: hdmi-crc-xrgb1555
(kms_chamelium:2552) igt_fb-CRITICAL: Test assertion failure function igt_create_fb_with_bo_size, file ../lib/igt_fb.c:942:
(kms_chamelium:2552) igt_fb-CRITICAL: Failed assertion: (__kms_addfb(fb->fd, fb->gem_handle, fb->width, fb->height, fb->drm_format, fb->tiling, fb->strides, fb->offsets, fb->num_planes, flags, &fb->fb_id)) == 0
(kms_chamelium:2552) igt_fb-CRITICAL: Last errno: 22, Invalid argument
Subtest hdmi-crc-xrgb1555 failed.
**** DEBUG ****
(kms_chamelium:2552) igt_chamelium-DEBUG: Resetting the chamelium
(kms_chamelium:2552) DEBUG: Waiting for HDMI-A-2 to disconnect...
(kms_chamelium:2552) DEBUG: Reprobing HDMI-A-2...
(kms_chamelium:2552) DEBUG: Test requirement passed: res = drmModeGetResources(data->drm_fd)
(kms_chamelium:2552) igt_chamelium-DEBUG: Plugging HDMI-A-2
(kms_chamelium:2552) DEBUG: Waiting for HDMI-A-2 to connect...
(kms_chamelium:2552) DEBUG: Reprobing HDMI-A-2...
(kms_chamelium:2552) igt_kms-DEBUG: display: HDMI-A-2: set_pipe(A)
(kms_chamelium:2552) igt_kms-DEBUG: display: HDMI-A-2: Selecting pipe A
(kms_chamelium:2552) igt_kms-DEBUG: Test requirement passed: plane_idx >= 0 && plane_idx < pipe->n_planes
(kms_chamelium:2552) igt_fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x34325258, tiling=0x0, size=0)
(kms_chamelium:2552) igt_fb-DEBUG: igt_create_fb_with_bo_size(handle=1, pitch=7680)
(kms_chamelium:2552) ioctl_wrappers-DEBUG: Test requirement passed: igt_has_fb_modifiers(fd)
(kms_chamelium:2552) igt_fb-DEBUG: igt_create_fb_with_bo_size(width=1920, height=1080, format=0x35315258, tiling=0x0, size=0)
(kms_chamelium:2552) igt_fb-DEBUG: igt_create_fb_with_bo_size(handle=2, pitch=3840)
(kms_chamelium:2552) ioctl_wrappers-DEBUG: Test requirement passed: igt_has_fb_modifiers(fd)
(kms_chamelium:2552) igt_fb-CRITICAL: Test assertion failure function igt_create_fb_with_bo_size, file ../lib/igt_fb.c:942:
(kms_chamelium:2552) igt_fb-CRITICAL: Failed assertion: (__kms_addfb(fb->fd, fb->gem_handle, fb->width, fb->height, fb->drm_format, fb->tiling, fb->strides, fb->offsets, fb->num_planes, flags, &fb->fb_id)) == 0
(kms_chamelium:2552) igt_fb-CRITICAL: Last errno: 22, Invalid argument
(kms_chamelium:2552) igt_core-INFO: Stack trace:
(kms_chamelium:2552) igt_core-INFO:   #0 ../lib/igt_core.c:1467 __igt_fail_assert()
(kms_chamelium:2552) igt_core-INFO:   #1 ../lib/igt_fb.c:944 igt_create_fb_with_bo_size()
(kms_chamelium:2552) igt_core-INFO:   #2 ../lib/igt_fb.c:969 igt_create_fb()
(kms_chamelium:2552) igt_core-INFO:   #3 ../lib/igt_fb.c:2195 igt_fb_convert()
(kms_chamelium:2552) igt_core-INFO:   #4 ../tests/kms_chamelium.c:540 do_test_display_crc()
(kms_chamelium:2552) igt_core-INFO:   #5 ../tests/kms_chamelium.c:590 test_display_crc_one_mode()
(kms_chamelium:2552) igt_core-INFO:   #6 ../tests/kms_chamelium.c:986 __real_main791()
(kms_chamelium:2552) igt_core-INFO:   #7 ../tests/kms_chamelium.c:791 main()
(kms_chamelium:2552) igt_core-INFO:   #8 ../csu/libc-start.c:344 __libc_start_main()
(kms_chamelium:2552) igt_core-INFO:   #9 [_start+0x2a]
****  END  ****
Subtest hdmi-crc-xrgb1555: FAIL (1.169s)
Comment 1 Maarten Lankhorst 2019-01-17 15:08:11 UTC
We currently don't support the xrgb1555 format, so here's a fix that only tests formats supported by the primary plane:

https://patchwork.freedesktop.org/series/55367/
Comment 2 Ville Syrjala 2019-01-17 15:31:05 UTC
(In reply to Maarten Lankhorst from comment #1)
> We currently don't support the xrgb1555 format, so here's a fix that only
> tests formats supported by the primary plane:
> 
> https://patchwork.freedesktop.org/series/55367/

igt_plane_has_format_mod()
Comment 3 CI Bug Log 2019-02-12 11:01:20 UTC
A CI Bug Log filter associated to this bug has been updated:

{- SKL KBL ICL: igt@kms_chamelium@hdmi-crc-* - fail - Failed assertion: \(__kms_addfb\(fb-&gt;fd, fb-&gt;gem_handle, fb-&gt;width, fb-&gt;height, fb-&gt;drm_format, fb-&gt;tiling, -}
{+ SKL KBL ICL: igt@kms_chamelium@hdmi-* - fail - Failed assertion: \(__kms_addfb\(fb-&gt;fd, fb-&gt;gem_handle, fb-&gt;width, fb-&gt;height, fb-&gt;drm_format, fb-&gt;tiling, +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-icl-u2/igt@kms_chamelium@hdmi-cmp-nv16.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-icl-u2/igt@kms_chamelium@hdmi-cmp-nv21.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-icl-u2/igt@kms_chamelium@hdmi-cmp-yu16.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-icl-u2/igt@kms_chamelium@hdmi-cmp-nv61.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-icl-u2/igt@kms_chamelium@hdmi-cmp-yu12.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-kbl-7500u/igt@kms_chamelium@hdmi-cmp-nv16.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-kbl-7500u/igt@kms_chamelium@hdmi-cmp-nv21.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-kbl-7500u/igt@kms_chamelium@hdmi-cmp-yv16.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-kbl-7500u/igt@kms_chamelium@hdmi-cmp-yv12.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-kbl-7500u/igt@kms_chamelium@hdmi-cmp-yu16.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-kbl-7500u/igt@kms_chamelium@hdmi-cmp-nv61.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-kbl-7500u/igt@kms_chamelium@hdmi-cmp-yu12.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-kbl-7567u/igt@kms_chamelium@hdmi-cmp-nv16.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-kbl-7567u/igt@kms_chamelium@hdmi-cmp-nv21.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-kbl-7567u/igt@kms_chamelium@hdmi-cmp-yv16.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-kbl-7567u/igt@kms_chamelium@hdmi-cmp-yv12.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-kbl-7567u/igt@kms_chamelium@hdmi-cmp-yu16.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-kbl-7567u/igt@kms_chamelium@hdmi-cmp-nv61.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-kbl-7567u/igt@kms_chamelium@hdmi-cmp-yu12.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-skl-6700k2/igt@kms_chamelium@hdmi-cmp-nv16.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-skl-6700k2/igt@kms_chamelium@hdmi-cmp-nv21.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-skl-6700k2/igt@kms_chamelium@hdmi-cmp-yv16.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-skl-6700k2/igt@kms_chamelium@hdmi-cmp-yv12.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-skl-6700k2/igt@kms_chamelium@hdmi-cmp-nv12.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-skl-6700k2/igt@kms_chamelium@hdmi-cmp-yu16.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-skl-6700k2/igt@kms_chamelium@hdmi-cmp-nv61.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_217/fi-skl-6700k2/igt@kms_chamelium@hdmi-cmp-yu12.html
Comment 4 CI Bug Log 2019-02-12 11:01:46 UTC
A CI Bug Log filter associated to this bug has been updated:

{- SKL KBL ICL: igt@kms_chamelium@hdmi-* - fail - Failed assertion: \(__kms_addfb\(fb-&gt;fd, fb-&gt;gem_handle, fb-&gt;width, fb-&gt;height, fb-&gt;drm_format, fb-&gt;tiling, -}
{+ SKL KBL ICL: igt@kms_chamelium@hdmi-* - fail - Failed assertion: \(__kms_addfb\(fb-&gt;fd, fb-&gt;gem_handle, fb-&gt;width, fb-&gt;height, fb-&gt;drm_format, fb-&gt;tiling, +}

 No new failures caught with the new filter
Comment 5 Maarten Lankhorst 2019-02-19 11:17:01 UTC
https://patchwork.freedesktop.org/series/56675/
Comment 6 CI Bug Log 2019-02-28 12:06:33 UTC
A CI Bug Log filter associated to this bug has been updated:

{- SKL KBL ICL: igt@kms_chamelium@hdmi-* - fail - Failed assertion: \(__kms_addfb\(fb-&gt;fd, fb-&gt;gem_handle, fb-&gt;width, fb-&gt;height, fb-&gt;drm_format, fb-&gt;tiling, -}
{+ SKL KBL ICL: igt@kms_chamelium@hdmi-* - fail - Failed assertion: \(__kms_addfb\(fb-&gt;fd, fb-&gt;gem_handle, fb-&gt;width, fb-&gt;height, fb-&gt;drm_format, fb-&gt;tiling, +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_232/fi-icl-u2/igt@kms_chamelium@hdmi-cmp-planes-random.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_232/fi-kbl-7500u/igt@kms_chamelium@hdmi-crc-planes-random.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_232/fi-kbl-7500u/igt@kms_chamelium@hdmi-cmp-planes-random.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_232/fi-kbl-7567u/igt@kms_chamelium@hdmi-crc-planes-random.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_232/fi-kbl-7567u/igt@kms_chamelium@hdmi-cmp-planes-random.html
* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_232/fi-skl-6700k2/igt@kms_chamelium@hdmi-cmp-planes-random.html
Comment 7 Maarten Lankhorst 2019-03-06 11:30:07 UTC
ommit b79007f9c575a538a63ce9301a890ed9e1a45f35 (origin/master, origin/HEAD)
Author: Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
Date:   Thu Jan 17 14:54:11 2019 +0100

    kms_chamelium: Fix test failures from missing outputs/unsupported formats, v2.
Comment 8 Maarten Lankhorst 2019-03-06 11:30:19 UTC
Seeing https://bugs.freedesktop.org/show_bug.cgi?id=109811 it can be closed :)
Comment 9 Martin Peres 2019-03-06 18:50:32 UTC
(In reply to Maarten Lankhorst from comment #8)
> Seeing https://bugs.freedesktop.org/show_bug.cgi?id=109811 it can be closed
> :)

igt@kms_chamelium@hdmi-crc-planes-random and igt@kms_chamelium@hdmi-cmp-planes-random are still failing and likely need to be fixed too :)

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4869/fi-icl-u2/igt@kms_chamelium@hdmi-crc-planes-random.html

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4869/fi-icl-u2/igt@kms_chamelium@hdmi-cmp-planes-random.html
Comment 10 CI Bug Log 2019-03-12 16:23:33 UTC
A CI Bug Log filter associated to this bug has been updated:

{- SKL KBL ICL: igt@kms_chamelium@hdmi-* - fail - Failed assertion: \(__kms_addfb\(fb-&gt;fd, fb-&gt;gem_handle, fb-&gt;width, fb-&gt;height, fb-&gt;drm_format, fb-&gt;tiling, -}
{+ CHAMELIUM: igt@kms_chamelium@hdmi-* - fail - Failed assertion: \(__kms_addfb\(fb-&gt;fd, fb-&gt;gem_handle, fb-&gt;width, fb-&gt;height, fb-&gt;drm_format, fb-&gt;tiling, +}

 No new failures caught with the new filter
Comment 11 CI Bug Log 2019-03-18 07:06:43 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* CHAMELIUM: igt@kms_chamelium@hdmi.* - fail - Failed assertion: (__kms_addfb(fb-&gt;fd, fb-&gt;gem_handle, fb-&gt;width, fb-&gt;height, fb-&gt;drm_format, fb-&gt;modifier, fb-&gt;str
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_243/fi-icl-u2/igt@kms_chamelium@hdmi-cmp-planes-random.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_243/fi-kbl-7500u/igt@kms_chamelium@hdmi-cmp-planes-random.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_243/fi-kbl-7500u/igt@kms_chamelium@hdmi-crc-planes-random.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_243/fi-kbl-7567u/igt@kms_chamelium@hdmi-cmp-planes-random.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_244/fi-icl-u2/igt@kms_chamelium@hdmi-crc-planes-random.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_244/fi-icl-u2/igt@kms_chamelium@hdmi-cmp-planes-random.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_244/fi-kbl-7500u/igt@kms_chamelium@hdmi-cmp-planes-random.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_244/fi-kbl-7567u/igt@kms_chamelium@hdmi-crc-planes-random.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_244/fi-skl-6700k2/igt@kms_chamelium@hdmi-crc-planes-random.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_244/fi-skl-6700k2/igt@kms_chamelium@hdmi-cmp-planes-random.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-7500u/igt@kms_chamelium@hdmi-cmp-planes-random.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-7500u/igt@kms_chamelium@hdmi-crc-planes-random.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-7567u/igt@kms_chamelium@hdmi-cmp-planes-random.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-7567u/igt@kms_chamelium@hdmi-crc-planes-random.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-skl-6700k2/igt@kms_chamelium@hdmi-cmp-planes-random.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-skl-6700k2/igt@kms_chamelium@hdmi-crc-planes-random.html


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.